Get Call History
curl --request GET \
--url https://api-west.millis.ai/call-logs/{session_id} \
--header 'authorization: <authorization>'import requests
url = "https://api-west.millis.ai/call-logs/{session_id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api-west.millis.ai/call-logs/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"agent_config": {},
"duration": 123,
"ts": 123,
"chat": "<string>",
"chars_used": 123,
"session_id": "<string>",
"call_id": "<string>",
"cost_breakdown": [
{}
],
"voip": {},
"recording": {},
"metadata": {},
"function_calls": [
{}
],
"call_status": "registered",
"campaign_id": "<string>",
"error_message": "<string>",
"call_metrics": {},
"carrier_call_log": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Call Logs
Get Call History
GET
/
call-logs
/
{session_id}
Get Call History
Headers
Path Parameters
Response
Successful Response
Available options:
registered, queued, dispatching, provider_queued, initiated, ringing, in-progress, completed, user-ended, agent-ended, api-ended, voicemail-hangup, voicemail-message, timeout, canceled, busy, no-answer, failed, error, unknown, chat_completion